<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iQuest Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iQuest Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iQuest" --><!-- doxytag: inherits="iBase" -->
<p>A quest instance.  
 <a href="structiQuest.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="questmanager_8h_source.html">tools/questmanager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iQuest:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiQuest.png" usemap="#iQuest_map" alt=""/>
  <map id="iQuest_map" name="iQuest_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,48,24"/>
</map>
 </div></div>

<p><a href="structiQuest-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelSequence.html">iCelSequence</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuest.html#aa5df82220b89d9b0294d7731475748cb">FindSequence</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a sequence.  <a href="#aa5df82220b89d9b0294d7731475748cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuest.html#a2504ffb80ce62b42f83b874b6890a8b2">GetCurrentState</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current state name of this quest.  <a href="#a2504ffb80ce62b42f83b874b6890a8b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuest.html#ae4d04b170fdb893697bb9e631bad8956">LoadState</a> (const char *state, <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is a special version of <a class="el" href="structiQuest.html#ab4d7b92b333989b378bdaac5ae593210" title="Switch this quest to some specific state.">SwitchState()</a> that needs to be used in case you are loading a quest from a CEL databuffer (persistence).  <a href="#ae4d04b170fdb893697bb9e631bad8956"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuest.html#a18cb01bb61ee327277b5b8ee53533688">SaveState</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the state to the persistence layer.  <a href="#a18cb01bb61ee327277b5b8ee53533688"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuest.html#ab4d7b92b333989b378bdaac5ae593210">SwitchState</a> (const char *state)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch this quest to some specific state.  <a href="#ab4d7b92b333989b378bdaac5ae593210"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A quest instance. </p>
<p>This is created (by the quest manager) from a quest factory using the trigger and reward factories. </p>

<p>Definition at line <a class="el" href="questmanager_8h_source.html#l00050">50</a> of file <a class="el" href="questmanager_8h_source.html">questmanager.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa5df82220b89d9b0294d7731475748cb"></a><!-- doxytag: member="iQuest::FindSequence" ref="aa5df82220b89d9b0294d7731475748cb" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelSequence.html">iCelSequence</a>* <a class="el" href="structiQuest.html#aa5df82220b89d9b0294d7731475748cb">iQuest::FindSequence</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a sequence. </p>

</div>
</div>
<a class="anchor" id="a2504ffb80ce62b42f83b874b6890a8b2"></a><!-- doxytag: member="iQuest::GetCurrentState" ref="a2504ffb80ce62b42f83b874b6890a8b2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiQuest.html#a2504ffb80ce62b42f83b874b6890a8b2">iQuest::GetCurrentState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current state name of this quest. </p>

</div>
</div>
<a class="anchor" id="ae4d04b170fdb893697bb9e631bad8956"></a><!-- doxytag: member="iQuest::LoadState" ref="ae4d04b170fdb893697bb9e631bad8956" args="(const char *state, iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuest.html#ae4d04b170fdb893697bb9e631bad8956">iQuest::LoadState</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is a special version of <a class="el" href="structiQuest.html#ab4d7b92b333989b378bdaac5ae593210" title="Switch this quest to some specific state.">SwitchState()</a> that needs to be used in case you are loading a quest from a CEL databuffer (persistence). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on failure (data in buffer doesn't match what we want). </dd></dl>

</div>
</div>
<a class="anchor" id="a18cb01bb61ee327277b5b8ee53533688"></a><!-- doxytag: member="iQuest::SaveState" ref="a18cb01bb61ee327277b5b8ee53533688" args="(iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiQuest.html#a18cb01bb61ee327277b5b8ee53533688">iQuest::SaveState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save the state to the persistence layer. </p>
<p>To restore later use <a class="el" href="structiQuest.html#ae4d04b170fdb893697bb9e631bad8956" title="This is a special version of SwitchState() that needs to be used in case you are loading a quest from...">LoadState()</a>. </p>

</div>
</div>
<a class="anchor" id="ab4d7b92b333989b378bdaac5ae593210"></a><!-- doxytag: member="iQuest::SwitchState" ref="ab4d7b92b333989b378bdaac5ae593210" args="(const char *state)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuest.html#ab4d7b92b333989b378bdaac5ae593210">iQuest::SwitchState</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Switch this quest to some specific state. </p>
<p>Returns false if state doesn't exist (nothing happens then). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="questmanager_8h_source.html">questmanager.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
